Summary: SELinux binary policy manipulation library
Name: libsemanage
Version: 3.5
Release: 5%{?dist}
License: LGPLv2+
URL: https://github.com/SELinuxProject/selinux/wiki
Source0: https://github.com/SELinuxProject/selinux/releases/download/%{version}/libsemanage-%{version}.tar.gz
Source1: semanage.conf

%global libsepolver %{version}
%global libselinuxver %{version}

BuildRequires: gcc make
BuildRequires: python3 python3-devel
BuildRequires: swig bison flex bzip2-devel audit-libs-devel
BuildRequires: libselinux-devel >= %{libselinuxver} libsepol-devel >= %{libsepolver} 
Requires: bzip2-libs audit-libs
Requires: libselinux >= %{libselinuxver}

%description
Security-enhanced Linux is a feature of the Linux® kernel that enhances security 
for some utilities and is designed to add mandatory access control to Linux. Its 
Linux kernel contains new architectural components that provide common support 
for the enforcement of multiple mandatory access control policies, including the 
concepts of Type Enforcement®, Role-based Access Control, and Multi-level Security.

libsemanage provides an API for manipulating SELinux binary policies.It is used 
by checkpolicy and similar tools, as well as by programs like load_policy that 
need to perform specific transformations on binary policies, such as customizing 
policy boolean settings.

%package static
Summary: Static library used to build policy manipulation tools
Requires: libsemanage-devel = %{version}-%{release}

%description static
The semanage-static package provides the static libraries needed to develop 
applications that manipulate binary policies. 

%package devel
Summary: Header files and libraries used to build policy manipulation tools
Requires: libsemanage = %{version}-%{release}

%description devel
The semanage-devel package provides the libraries and header files needed 
for developing applications that manipulate binary policies. 

%package -n python3-libsemanage
Summary: semanage python 3 bindings for libsemanage
Requires: libsemanage = %{version}-%{release}
Requires: libselinux-python3
Provides: libsemanage-python3 = %{version}-%{release}

%description -n python3-libsemanage
The libsemanage-python3 package contains the python 3 bindings for developing
SELinux management applications.

%prep
%autosetup -p2

%build
CFLAGS="$CFLAGS -fno-semantic-interposition"
make clean
make swigify
%make_build LIBDIR="%{_libdir}" SHLIBDIR="%{_lib}" all
make PYTHON=%{__python3} LIBDIR="%{_libdir}" SHLIBDIR="%{_lib}" pywrap

%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir} 
mkdir -p %{buildroot}%{_sharedstatedir}/selinux
mkdir -p %{buildroot}%{_sharedstatedir}/selinux/tmp
%make_install LIBDIR="%{_libdir}" SHLIBDIR="%{_libdir}"

make PYTHON=%{__python3} DESTDIR="%{buildroot}" LIBDIR="%{_libdir}" SHLIBDIR="%{_libdir}" install-pywrap
  
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/selinux/semanage.conf

%files
%license LICENSE
%config(noreplace) %{_sysconfdir}/selinux/semanage.conf
%{_libdir}/libsemanage.so.2
%dir %{_libexecdir}/selinux
%dir %{_sysconfdir}/selinux
%dir %{_sharedstatedir}/selinux
%dir %{_sharedstatedir}/selinux/tmp
%{_mandir}/man5/*
%{_mandir}/ru/man5/*

%files static
%{_libdir}/libsemanage.a

%files devel
%{_libdir}/libsemanage.so
%{_libdir}/pkgconfig/libsemanage.pc
%dir %{_includedir}/semanage
%{_includedir}/semanage/*.h
%{_mandir}/man3/*

%files -n python3-libsemanage
%{python3_sitearch}/*.so
%{python3_sitearch}/semanage.py*
%{python3_sitearch}/__pycache__/semanage*
%{_libexecdir}/selinux/semanage_migrate_store

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-4
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 Yi Lin <nilusyi@tencent.com> - 3.5-1
- upgrade to 3.5

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 4 2022 Wang Guodong <gordonwwang@tencent.com> - 3.4-1
- package init.
